#include <LiquidCrystal_I2C.h>
#include "IRremote.h"

//Contante et Initialisation
int receiver = 12; // Signal Pin of IR receiver to Arduino Digital Pin 12
//l'écran LCD est relié aux pins A4 et A5 (SDA en A4 et SCL en A5)
LiquidCrystal_I2C lcd(0x3F,16,2); //Initialisation Ecran LCD Série(adresse : 0x3F ou 0x27)

void setup() {
  IrReceiver.begin(receiver, ENABLE_LED_FEEDBACK);
  lcd.init(); // LCD driver initialization
  lcd.backlight(); // Open the backlight
}

void loop() {
  if (IrReceiver.decode()) {
      IrReceiver.resume(); // Enable receiving of the next value
      lcd.clear();
      lcd.print("Code IR :");
      lcd.setCursor(0,1); // Move the cursor to row 1, column 0
      lcd.print(IrReceiver.decodedIRData.command);
  }
  delay(2000); // Do not get immediate repeat
}
